export default {
  client: process.env.DB_ENGINE || "sqlite",
  connection: (function () {
    const engine = process.env.DB_ENGINE;
    if (!engine || engine === "sqlite") {
      return process.env.DB_FILE || "voicemails.db";
    }
    if (engine === "pg") {
      if (!process.env.DB_URL) {
        throw new Error(`When DB_ENGINE=pg, DB_URL must be set.`);
      }
      return process.env.DB_URL;
    }
    throw new Error(
      `Unsupported DB_ENGINE: ${engine}. Supported: sqlite (default), pg`
    );
  })(),
  useNullAsDefault: true,
  migrations: {
    directory: "src/db/migrations",
  },
};
